#### D.6.20.12 slocus

Procedure from library `sing.lib` (see sing_lib).

Usage:
  slocus(i); i ideal

Return:
  ideal of singular locus of i. Quotient rings and rings with integer coefficients are currently not supported.

Example:

    LIB "sing.lib";
    ring r  = 0,(u,v,w,x,y,z),dp;
    ideal i = wx,wy,wz,vx,vy,vz,ux,uy,uz,y3-x2;;
    slocus(i);
    ==> _[1]=x
    ==> _[2]=w
    ==> _[3]=v
    ==> _[4]=u
    ==> _[5]=y2

User manual for Singular version 4.4.1, 2025, generated by texi2html.